<?php
namespace PHPMaker2020\hostelmgr20;

// Session
if (session_status() !== PHP_SESSION_ACTIVE)
	session_start(); // Init session data

// Output buffering
ob_start();

// Autoload
include_once "autoload.php";
?>
<?php

// Write header
WriteHeader(FALSE);

// Create page object
$indiscipline_add = new indiscipline_add();

// Run the page
$indiscipline_add->run();

// Setup login status
SetupLoginStatus();
SetClientVar("login", LoginStatus());

// Global Page Rendering event (in userfn*.php)
Page_Rendering();

// Page Rendering event
$indiscipline_add->Page_Render();
?>
<?php include_once "header.php"; ?>
<script>
var findisciplineadd, currentPageID;
loadjs.ready("head", function() {

	// Form object
	currentPageID = ew.PAGE_ID = "add";
	findisciplineadd = currentForm = new ew.Form("findisciplineadd", "add");

	// Validate form
	findisciplineadd.validate = function() {
		if (!this.validateRequired)
			return true; // Ignore validation
		var $ = jQuery, fobj = this.getForm(), $fobj = $(fobj);
		if ($fobj.find("#confirm").val() == "F")
			return true;
		var elm, felm, uelm, addcnt = 0;
		var $k = $fobj.find("#" + this.formKeyCountName); // Get key_count
		var rowcnt = ($k[0]) ? parseInt($k.val(), 10) : 1;
		var startcnt = (rowcnt == 0) ? 0 : 1; // Check rowcnt == 0 => Inline-Add
		var gridinsert = ["insert", "gridinsert"].includes($fobj.find("#action").val()) && $k[0];
		for (var i = startcnt; i <= rowcnt; i++) {
			var infix = ($k[0]) ? String(i) : "";
			$fobj.data("rowindex", infix);
			<?php if ($indiscipline_add->Indiscipline_activity->Required) { ?>
				elm = this.getElements("x" + infix + "_Indiscipline_activity");
				if (elm && !ew.isHidden(elm) && !ew.hasValue(elm))
					return this.onError(elm, "<?php echo JsEncode(str_replace("%s", $indiscipline_add->Indiscipline_activity->caption(), $indiscipline_add->Indiscipline_activity->RequiredErrorMessage)) ?>");
			<?php } ?>
			<?php if ($indiscipline_add->Status->Required) { ?>
				elm = this.getElements("x" + infix + "_Status");
				if (elm && !ew.isHidden(elm) && !ew.hasValue(elm))
					return this.onError(elm, "<?php echo JsEncode(str_replace("%s", $indiscipline_add->Status->caption(), $indiscipline_add->Status->RequiredErrorMessage)) ?>");
			<?php } ?>

				// Call Form_CustomValidate event
				if (!this.Form_CustomValidate(fobj))
					return false;
		}

		// Process detail forms
		var dfs = $fobj.find("input[name='detailpage']").get();
		for (var i = 0; i < dfs.length; i++) {
			var df = dfs[i], val = df.value;
			if (val && ew.forms[val])
				if (!ew.forms[val].validate())
					return false;
		}
		return true;
	}

	// Form_CustomValidate
	findisciplineadd.Form_CustomValidate = function(fobj) { // DO NOT CHANGE THIS LINE!

		// Your custom validation code here, return false if invalid.
		return true;
	}

	// Use JavaScript validation or not
	findisciplineadd.validateRequired = <?php echo Config("CLIENT_VALIDATE") ? "true" : "false" ?>;

	// Dynamic selection lists
	findisciplineadd.lists["x_Status"] = <?php echo $indiscipline_add->Status->Lookup->toClientList($indiscipline_add) ?>;
	findisciplineadd.lists["x_Status"].options = <?php echo JsonEncode($indiscipline_add->Status->options(FALSE, TRUE)) ?>;
	loadjs.done("findisciplineadd");
});
</script>
<script>
loadjs.ready("head", function() {

	// Client script
	// Write your client script here, no need to add script tags.

});
</script>
<?php $indiscipline_add->showPageHeader(); ?>
<?php
$indiscipline_add->showMessage();
?>
<form name="findisciplineadd" id="findisciplineadd" class="<?php echo $indiscipline_add->FormClassName ?>" action="<?php echo CurrentPageName() ?>" method="post">
<?php if ($Page->CheckToken) { ?>
<input type="hidden" name="<?php echo Config("TOKEN_NAME") ?>" value="<?php echo $Page->Token ?>">
<?php } ?>
<input type="hidden" name="t" value="indiscipline">
<input type="hidden" name="action" id="action" value="insert">
<input type="hidden" name="modal" value="<?php echo (int)$indiscipline_add->IsModal ?>">
<div class="ew-add-div"><!-- page* -->
<?php if ($indiscipline_add->Indiscipline_activity->Visible) { // Indiscipline_activity ?>
	<div id="r_Indiscipline_activity" class="form-group row">
		<label id="elh_indiscipline_Indiscipline_activity" for="x_Indiscipline_activity" class="<?php echo $indiscipline_add->LeftColumnClass ?>"><?php echo $indiscipline_add->Indiscipline_activity->caption() ?><?php echo $indiscipline_add->Indiscipline_activity->Required ? $Language->phrase("FieldRequiredIndicator") : "" ?></label>
		<div class="<?php echo $indiscipline_add->RightColumnClass ?>"><div <?php echo $indiscipline_add->Indiscipline_activity->cellAttributes() ?>>
<span id="el_indiscipline_Indiscipline_activity">
<input type="text" data-table="indiscipline" data-field="x_Indiscipline_activity" name="x_Indiscipline_activity" id="x_Indiscipline_activity" size="30" maxlength="55" placeholder="<?php echo HtmlEncode($indiscipline_add->Indiscipline_activity->getPlaceHolder()) ?>" value="<?php echo $indiscipline_add->Indiscipline_activity->EditValue ?>"<?php echo $indiscipline_add->Indiscipline_activity->editAttributes() ?>>
</span>
<?php echo $indiscipline_add->Indiscipline_activity->CustomMsg ?></div></div>
	</div>
<?php } ?>
<?php if ($indiscipline_add->Status->Visible) { // Status ?>
	<div id="r_Status" class="form-group row">
		<label id="elh_indiscipline_Status" class="<?php echo $indiscipline_add->LeftColumnClass ?>"><?php echo $indiscipline_add->Status->caption() ?><?php echo $indiscipline_add->Status->Required ? $Language->phrase("FieldRequiredIndicator") : "" ?></label>
		<div class="<?php echo $indiscipline_add->RightColumnClass ?>"><div <?php echo $indiscipline_add->Status->cellAttributes() ?>>
<span id="el_indiscipline_Status">
<div id="tp_x_Status" class="ew-template"><input type="radio" class="custom-control-input" data-table="indiscipline" data-field="x_Status" data-value-separator="<?php echo $indiscipline_add->Status->displayValueSeparatorAttribute() ?>" name="x_Status" id="x_Status" value="{value}"<?php echo $indiscipline_add->Status->editAttributes() ?>></div>
<div id="dsl_x_Status" data-repeatcolumn="5" class="ew-item-list d-none"><div>
<?php echo $indiscipline_add->Status->radioButtonListHtml(FALSE, "x_Status") ?>
</div></div>
</span>
<?php echo $indiscipline_add->Status->CustomMsg ?></div></div>
	</div>
<?php } ?>
</div><!-- /page* -->
<?php
	if (in_array("activity", explode(",", $indiscipline->getCurrentDetailTable())) && $activity->DetailAdd) {
?>
<?php if ($indiscipline->getCurrentDetailTable() != "") { ?>
<h4 class="ew-detail-caption"><?php echo $Language->tablePhrase("activity", "TblCaption") ?></h4>
<?php } ?>
<?php include_once "activitygrid.php" ?>
<?php } ?>
<?php if (!$indiscipline_add->IsModal) { ?>
<div class="form-group row"><!-- buttons .form-group -->
	<div class="<?php echo $indiscipline_add->OffsetColumnClass ?>"><!-- buttons offset -->
<button class="btn btn-primary ew-btn" name="btn-action" id="btn-action" type="submit"><?php echo $Language->phrase("AddBtn") ?></button>
<button class="btn btn-default ew-btn" name="btn-cancel" id="btn-cancel" type="button" data-href="<?php echo $indiscipline_add->getReturnUrl() ?>"><?php echo $Language->phrase("CancelBtn") ?></button>
	</div><!-- /buttons offset -->
</div><!-- /buttons .form-group -->
<?php } ?>
</form>
<?php
$indiscipline_add->showPageFooter();
if (Config("DEBUG"))
	echo GetDebugMessage();
?>
<script>
loadjs.ready("load", function() {

	// Startup script
	// Write your table-specific startup script here
	// console.log("page loaded");

});
</script>
<?php include_once "footer.php"; ?>
<?php
$indiscipline_add->terminate();
?>